summaryrefslogtreecommitdiff
path: root/nbproject
diff options
context:
space:
mode:
authorWayne Meissner <wmeissner@gmail.com>2008-11-04 07:30:02 +1000
committerWayne Meissner <wmeissner@gmail.com>2008-11-04 07:30:02 +1000
commitb317fa189126e2db748092a5d3acabbbd1a4a271 (patch)
treef3d3254cd4ea22bee5a333f76c50e2be5ff86352 /nbproject
parent8972b2eae47290b6fb3ad7d6084af632a810cf05 (diff)
downloadffi-b317fa189126e2db748092a5d3acabbbd1a4a271.tar.gz
Sync metadata that Netbeans spewed fortth
Diffstat (limited to 'nbproject')
-rw-r--r--nbproject/Makefile-Default.mk5
-rw-r--r--nbproject/Makefile-impl.mk10
-rw-r--r--nbproject/Package-Default.bash72
-rw-r--r--nbproject/configurations.xml7
-rw-r--r--nbproject/project.xml3
5 files changed, 88 insertions, 9 deletions
diff --git a/nbproject/Makefile-Default.mk b/nbproject/Makefile-Default.mk
index 6f3cd84..1b36fe5 100644
--- a/nbproject/Makefile-Default.mk
+++ b/nbproject/Makefile-Default.mk
@@ -17,11 +17,14 @@ CCC=g++
CXX=g++
FC=
+# Macros
+PLATFORM=GNU-MacOSX
+
# Include project Makefile
include ruby-ffi-Makefile.mk
# Object Directory
-OBJECTDIR=build/Default/GNU-MacOSX
+OBJECTDIR=build/Default/${PLATFORM}
# Object Files
OBJECTFILES=
diff --git a/nbproject/Makefile-impl.mk b/nbproject/Makefile-impl.mk
index 36ed8ad..9c0f0b0 100644
--- a/nbproject/Makefile-impl.mk
+++ b/nbproject/Makefile-impl.mk
@@ -35,19 +35,19 @@ ALLCONFS=Default
# build
-.build-impl: .validate-impl .depcheck-impl
+.build-impl: .build-pre .validate-impl .depcheck-impl
@#echo "=> Running $@... Configuration=$(CONF)"
${MAKE} -f nbproject/Makefile-${CONF}.mk SUBPROJECTS=${SUBPROJECTS} .build-conf
# clean
-.clean-impl: .validate-impl .depcheck-impl
+.clean-impl: .clean-pre .validate-impl .depcheck-impl
@#echo "=> Running $@... Configuration=$(CONF)"
${MAKE} -f nbproject/Makefile-${CONF}.mk SUBPROJECTS=${SUBPROJECTS} .clean-conf
# clobber
-.clobber-impl: .depcheck-impl
+.clobber-impl: .clobber-pre .depcheck-impl
@#echo "=> Running $@..."
for CONF in ${ALLCONFS}; \
do \
@@ -55,7 +55,7 @@ ALLCONFS=Default
done
# all
-.all-impl: .depcheck-impl
+.all-impl: .all-pre .depcheck-impl
@#echo "=> Running $@..."
for CONF in ${ALLCONFS}; \
do \
@@ -92,7 +92,7 @@ ALLCONFS=Default
# help
-.help-impl:
+.help-impl: .help-pre
@echo "This makefile supports the following configurations:"
@echo " ${ALLCONFS}"
@echo ""
diff --git a/nbproject/Package-Default.bash b/nbproject/Package-Default.bash
new file mode 100644
index 0000000..9a8712c
--- /dev/null
+++ b/nbproject/Package-Default.bash
@@ -0,0 +1,72 @@
+#!/bin/bash -x
+
+#
+# Generated - do not edit!
+#
+
+# Macros
+TOP=`pwd`
+PLATFORM=GNU-MacOSX
+TMPDIR=build/Default/${PLATFORM}/tmp-packaging
+TMPDIRNAME=tmp-packaging
+OUTPUT_PATH=MissingOutputInProject
+OUTPUT_BASENAME=MissingOutputInProject
+PACKAGE_TOP_DIR=ruby-ffi/
+
+# Functions
+function checkReturnCode
+{
+ rc=$?
+ if [ $rc != 0 ]
+ then
+ exit $rc
+ fi
+}
+function makeDirectory
+# $1 directory path
+# $2 permission (optional)
+{
+ mkdir -p "$1"
+ checkReturnCode
+ if [ "$2" != "" ]
+ then
+ chmod $2 "$1"
+ checkReturnCode
+ fi
+}
+function copyFileToTmpDir
+# $1 from-file path
+# $2 to-file path
+# $3 permission
+{
+ cp "$1" "$2"
+ checkReturnCode
+ if [ "$3" != "" ]
+ then
+ chmod $3 "$2"
+ checkReturnCode
+ fi
+}
+
+# Setup
+cd "${TOP}"
+mkdir -p dist/Default/${PLATFORM}/package
+rm -rf ${TMPDIR}
+mkdir -p ${TMPDIR}
+
+# Copy files and create directories and links
+cd "${TOP}"
+makeDirectory ${TMPDIR}/ruby-ffi/bin
+copyFileToTmpDir "${OUTPUT_PATH}" "${TMPDIR}/${PACKAGE_TOP_DIR}bin/${OUTPUT_BASENAME}" 0755
+
+
+# Generate tar file
+cd "${TOP}"
+rm -f dist/Default/${PLATFORM}/package/ruby-ffi.tar
+cd ${TMPDIR}
+tar -vcf ../../../../dist/Default/${PLATFORM}/package/ruby-ffi.tar *
+checkReturnCode
+
+# Cleanup
+cd "${TOP}"
+rm -rf ${TMPDIR}
diff --git a/nbproject/configurations.xml b/nbproject/configurations.xml
index f10b37b..5e8c480 100644
--- a/nbproject/configurations.xml
+++ b/nbproject/configurations.xml
@@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
-<configurationDescriptor version="47">
+<configurationDescriptor version="51">
<logicalFolder name="root" displayName="root" projectFiles="true">
<logicalFolder name="ruby-ffi" displayName="ruby-ffi" projectFiles="true">
<logicalFolder name="ext" displayName="ext" projectFiles="true">
@@ -22,6 +22,7 @@
<logicalFolder name="ffi" displayName="ffi" projectFiles="true">
<itemPath>/Users/wayne/src/ruby-ffi/lib/ffi/callback.rb</itemPath>
<itemPath>lib/ffi/ffi.rb</itemPath>
+ <itemPath>lib/ffi/io.rb</itemPath>
<itemPath>lib/ffi/memorypointer.rb</itemPath>
<itemPath>lib/ffi/platform.rb</itemPath>
<itemPath>lib/ffi/struct.rb</itemPath>
@@ -48,7 +49,6 @@
<itemPath>ruby-ffi-Makefile.mk</itemPath>
</logicalFolder>
</logicalFolder>
- <sourceEncoding>UTF-8</sourceEncoding>
<projectmakefile>ruby-ffi-Makefile.mk</projectmakefile>
<confs>
<conf name="Default" type="0">
@@ -134,6 +134,9 @@
<item path="lib/ffi/ffi.rb">
<itemTool>3</itemTool>
</item>
+ <item path="lib/ffi/io.rb">
+ <itemTool>3</itemTool>
+ </item>
<item path="lib/ffi/memorypointer.rb">
<itemTool>3</itemTool>
</item>
diff --git a/nbproject/project.xml b/nbproject/project.xml
index 1a002d5..19adef3 100644
--- a/nbproject/project.xml
+++ b/nbproject/project.xml
@@ -5,10 +5,11 @@
<data xmlns="http://www.netbeans.org/ns/make-project/1">
<name>ruby-ffi</name>
<make-project-type>0</make-project-type>
- <make-dep-projects/>
<c-extensions>c</c-extensions>
<cpp-extensions/>
<header-extensions>h</header-extensions>
+ <make-dep-projects/>
+ <sourceEncoding>UTF-8</sourceEncoding>
</data>
</configuration>
</project>